﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <xsl:output method="html"/>
    
    <xsl:template match="/">
		<xsl:for-each select="//testsuite">
			<xsl:apply-templates select=".">
				<xsl:with-param name="name" select="position()"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
    
    <xsl:template match="testsuite">
		<xsl:param name="name"/>
		
		<xsl:variable name="testscount" select="@tests"/>
		<xsl:variable name="failedcount" select="@failures"/>
		<xsl:variable name="passedcount" select="$testscount - $failedcount"/>
     
        <table class="section-table" width="100%">
            <tr>
                <td class="sectionheader">
                    Suite Name: <xsl:value-of select="@name"/>,  Tests run: <xsl:value-of select="$testscount"/>, Failures: <xsl:value-of select="$failedcount"/>
                </td>
            </tr>

            <tr>
                <td>
                    <table>
                        <tr>
                            <td width="100">
                                <b>Passed:</b>
                            </td>
                            <td>
                                <xsl:value-of select="$passedcount"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <b>Failed:</b>
                            </td>
                            <td>
                                <xsl:value-of select="$failedcount"/>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
             
            <tr>
                <td width="100%">
                    <table border="1" width="100%">
                        <tr height="20">
                            <xsl:choose>
                                <xsl:when test="$testscount=$passedcount">
                                    <td bgcolor="00FF33" align="center">
                                        <b>PASSED</b>
                                    </td>
                                </xsl:when>
                                <xsl:otherwise>
                                    <td bgcolor="FF0000" align="center">
                                        <b>FAILED</b>
                                    </td>
                                </xsl:otherwise>
                            </xsl:choose>
                        </tr>
                    </table>
                </td>
            </tr>
            
            <tr>
                <td>
                    <table border="1" width="100%" frame="box">
                        <tr bgcolor="#2288FF">
                            <th align="center" width="40">Code</th>
                            <th align="left">Test</th>
                            <th align="left">Message</th>
                            <th align="left">Duration</th>
                        </tr>
						<xsl:apply-templates select="//testsuite/testcase" />
			</table>
                </td>
            </tr>
        </table>
    </xsl:template>

	<xsl:template match="testcase">
		<tr>
	        <xsl:choose>
	             <xsl:when test="failure[@type = 'FAILURE']">
					<td bgcolor="FF0000" align="center"> F </td>
				</xsl:when>				
				<xsl:otherwise>
					<td bgcolor="00FF33" align="center"> P </td>
				</xsl:otherwise>
			</xsl:choose>
			<td>
				<xsl:value-of select="@name"/>
			</td>
			<td>
				<xsl:value-of select="failure"/>
			</td>
			 <td>
				<xsl:value-of select="@time"/>
			</td>
		</tr>
	 </xsl:template>
</xsl:stylesheet>
