<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <xsl:output method="html"/>

    <xsl:template match="/">
		<xsl:for-each select="//testsuite">
			<xsl:apply-templates select=".">
				<xsl:with-param name="name" select="position()"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
    
    <xsl:template match="testsuite">
		<xsl:param name="name"/>
		
		<xsl:variable name="testscount" select="@tests"/>
		<xsl:variable name="failedcount" select="@failures"/>
		<xsl:variable name="passedcount" select="$testscount - $failedcount"/>
		
		<xsl:if test="$testscount != 0">
			<table class="section-table" cellpadding="2" cellspacing="0" border="0" width="98%">
					<tr>
						<td class="sectionheader" colspan="3">
							Suite Name: <xsl:value-of select="@name"/>
							Tests Run: <xsl:value-of select="$testscount"/>
							Failures: <xsl:value-of select="$failedcount" />
						</td>
					</tr>
					<xsl:choose>
						<xsl:when test="$testscount = $passedcount">
							<tr>
								<td class="section-data" colspan="2">All Eggplant tests passed.</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="//testsuite/testcase[failure!=' ']" />
						</xsl:otherwise>
					</xsl:choose>
				</table>
			</xsl:if>
    </xsl:template>
    
    <xsl:template match="failure">
			<tr>
				<td bgcolor="FF0000" align="center"> F </td>					
				<td>
					<xsl:value-of select="../@name"/>
				</td>
				<td>
					<xsl:value-of select="."/>
				</td>
			</tr>
    </xsl:template>
</xsl:stylesheet>
